using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Valg.EVA.Skanning.Sample.Startup.Box
{
    public class BoxOverview
    {
        public int BallotsScanned { get; set; }
        public int ProposedRejected { get; set; }
        public int AutomaticVerifiedOk { get; set; }
        public ObservableCollection<PersonVoteAggregated> PersonVotesAggregated { get; } = new ObservableCollection<PersonVoteAggregated>();
        public ObservableCollection<WriteInVoteAggregated> WriteInVoteAggregated { get; } = new ObservableCollection<WriteInVoteAggregated>();
        public ObservableCollection<AffiliationVoteAggregated> AffiliationVoteAggregated { get; } = new ObservableCollection<AffiliationVoteAggregated>();
        public ObservableCollection<RejectionsAggregated> RejectionsAggregated { get; } = new ObservableCollection<RejectionsAggregated>();
        public int ManuallyVerified { get; set; }

        public bool HasPersonVotes => PersonVotesAggregated.Any();
        public bool HasWriteIns => WriteInVoteAggregated.Any();
        public bool HasRejections => RejectionsAggregated.Any();

    }
}

